Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOutputStream Class Reference

`#include <vtkOutputStream.h>`

Inheritance diagram for vtkOutputStream:

[legend]
Collaboration diagram for vtkOutputStream:

[legend]
List of all members.

## Detailed Description

Wraps a binary output stream with a VTK interface.

Date:
  2002/10/16 18:23:06

Revision:
  1.1

vtkOutputStream provides a VTK-style interface wrapping around a standard output stream. The access methods are virtual so that subclasses can transparently provide encoding of the output. Data lengths for Write calls refer to the length of the data in memory. The actual length in the stream may differ for subclasses that implement an encoding scheme.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (100%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkOutputStream.cxx)`
  - .`h` (`/IO/vtkOutputStream.h)`

Definition at line 45 of file vtkOutputStream.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual int | StartWriting ()
virtual int | EndWriting ()
virtual void | SetStream (ostream *)
virtual ostream * | GetStream ()
virtual int | Write (const unsigned char *data, unsigned long length)
int | Write (const char *data, unsigned long length)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkOutputStream * | SafeDownCast (vtkObject *o)
vtkOutputStream * | New ()
## Protected Methods
| vtkOutputStream ()
| ~vtkOutputStream ()
## Protected Attributes
ostream * | Stream

## Member Typedef Documentation

typedef vtkObject vtkOutputStream::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkBase64OutputStream. Definition at line 48 of file vtkOutputStream.h.

## Constructor & Destructor Documentation

vtkOutputStream::vtkOutputStream | ( |  | ) | `[protected]`

vtkOutputStream::~vtkOutputStream | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkOutputStream::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkBase64OutputStream.

int vtkOutputStream::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkBase64OutputStream.

virtual int vtkOutputStream::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkBase64OutputStream.

vtkOutputStream* vtkOutputStream::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkBase64OutputStream.

vtkOutputStream* vtkOutputStream::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkBase64OutputStream.

void vtkOutputStream::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkBase64OutputStream.

virtual void vtkOutputStream::SetStream | ( | ostream * |  | ) | `[virtual]`

| Get/Set the real output stream.

virtual ostream* vtkOutputStream::GetStream | ( |  | ) | `[virtual]`

| Get/Set the real output stream.

virtual int vtkOutputStream::StartWriting | ( |  | ) | `[virtual]`

| Called after the stream position has been set by the caller, but before any Write calls. The stream position should not be adjusted by the caller until after an EndWriting call. Reimplemented in vtkBase64OutputStream.

virtual int vtkOutputStream::Write | ( | const unsigned char * | data,
|  | unsigned long | length
| ) | `[virtual]`

| Write output data of the given length. Reimplemented in vtkBase64OutputStream.

int vtkOutputStream::Write | ( | const char * | data,
|  | unsigned long | length
| ) |

| Write output data of the given length.

virtual int vtkOutputStream::EndWriting | ( |  | ) | `[virtual]`

| Called after all desired calls to Write have been made. After this call, the caller is free to change the position of the stream. Additional writes should not be done until after another call to StartWriting. Reimplemented in vtkBase64OutputStream.

## Member Data Documentation

ostream* vtkOutputStream::Stream`[protected]`

| Definition at line 82 of file vtkOutputStream.h.

The documentation for this class was generated from the following file:

- IO/vtkOutputStream.h